-- ****************************************************************************
-- * Licensed Materials - Property of IBM
-- * 5724-T40 IBM Tivoli License Metric Tool
-- * 5725-C68 IBM Tivoli Asset Discovery for Distributed
-- *
-- * (C) Copyright IBM Corp. 2014.  All Rights Reserved.
-- *
-- * US Government Users Restricted Rights - Use, duplication or
-- * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
-- ****************************************************************************

connect to tlma%

create procedure ADM.DROP_IF_EXISTS(in NAME char(100))
	begin
	declare STMT char(250);
	declare MSG char(20);
	
	declare continue handler for sqlstate '42704' set MSG = 'ok';
	
	set STMT = 'DROP ' concat NAME;
	prepare S1 from STMT;
	execute S1;
	end%

call ADM.DROP_IF_EXISTS('index ADM.AGENT_SCAN_HISTORY_I2')%
call ADM.DROP_IF_EXISTS('index ADM.SW_SCAN_HISTORY_I2')%

create index ADM.AGENT_SCAN_HISTORY_I2 on 
ADM.AGENT_SCAN_HISTORY (SW_SCAN_HISTORY_ID,    AGENT_ID,ID) ALLOW REVERSE SCANS%

create index ADM.SW_SCAN_HISTORY_I2 
on ADM.SW_SCAN_HISTORY ( SCHEDULE_DATE,ID,    DIVISION_ID ) ALLOW REVERSE SCANS%

drop procedure ADM.DROP_IF_EXISTS%

disconnect current%